<?xml version="1.0"?>
<doc>
    <assembly>
        <name>MyFlat</name>
    </assembly>
    <members>
        <member name="T:MyFlat.ApiArgumentsBase">
            <summary>
            Common base structure for API-action arguments
            </summary>
        </member>
        <member name="M:MyFlat.HomeController.ProvideWithViewProps(MyFlat.App)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.HomeController.OpenUserSession_A(MyFlat.HomePageInput)">
            <summary>
            Login action processing
            </summary>
            <remarks>
            Successful completion assumes, that new user-session object will be created for logged user.
            </remarks>
        </member>
        <member name="M:MyFlat.HomeController.CloseUserSession">
            <summary>
            Log-off action processing
            </summary>
            <remarks>
            User-session object (if exists) will be removed.
            </remarks>
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do(MyFlat.ApiArgumentsBase,System.Func{MyFlat.GeneralApiResponse},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic(MyFlat.ApiArgumentsBase,System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit(MyFlat.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do(System.String,MyFlat.ApiArgumentsBase,System.Func{MyFlat.GeneralApiResponse})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit(System.String,MyFlat.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do_A(MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{MyFlat.GeneralApiResponse}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic_A(MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit_A(MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do_A(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{MyFlat.GeneralApiResponse}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic_A(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit_A(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do``1(MyFlat.ApiArgumentsBase,System.Func{MyFlat.GeneralApiResponse{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic``1(MyFlat.ApiArgumentsBase,System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit``1(MyFlat.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do``1(System.String,MyFlat.ApiArgumentsBase,System.Func{MyFlat.GeneralApiResponse{``0}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic``1(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit``1(System.String,MyFlat.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do_A``1(MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{MyFlat.GeneralApiResponse{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic_A``1(MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit_A``1(MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse{``0}}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.Do_A``1(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{MyFlat.GeneralApiResponse{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoDynamic_A``1(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponseController.DoExplicit_A``1(System.String,MyFlat.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{MyFlat.GeneralApiResponse{``0}}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:MyFlat.GeneralApiResponse">
            <summary>
            Common base structure for API-response with message and status
            </summary>
        </member>
        <member name="M:MyFlat.GeneralApiResponse.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponse.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponse.CreateServerError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:MyFlat.GeneralApiResponse`1">
            <summary>
            Common structure for API-response with item collection (generic), message and status
            </summary>
        </member>
        <member name="P:MyFlat.GeneralApiResponse`1.Items">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.GeneralApiResponse`1.ItemsNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponse`1.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponse`1.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:MyFlat.GeneralApiResponse`1.CreateServerError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:MyFlat.HTMLHelpers">
            <summary>
            HTML-helpers (Razor)
            </summary>
        </member>
        <member name="M:MyFlat.HTMLHelpers.IncludeHelperScripts(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper)">
            <summary>
            Helper-script attachement (JavaScript) from “wwwroot\ts
            </summary>
        </member>
        <member name="M:MyFlat.HTMLHelpers.CreatePageHeaderServiceRefs(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper)">
            <summary>
            Forming of service reference header (navigation images)
            </summary>
        </member>
        <member name="M:MyFlat.HTMLHelpers.CreatePageFooterServiceRefs(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper)">
            <summary>
            Forming of service reference footer (navigation images)
            </summary>
        </member>
        <member name="M:MyFlat.HTMLHelpers.BoldIf(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper,System.Boolean,System.String)">
            <summary>
            Conditional accentuation of text with bold font style
            </summary>
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.InAction.#ctor(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:MyFlat.MSG">
            <summary>
            Message helpers (error text for web-client etc.)
            </summary>
        </member>
        <member name="T:MyFlat.PageHlp">
            <summary>
            HTML-page helpers
            </summary>
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do(System.String,System.Func{Microsoft.AspNetCore.Mvc.ActionResult})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do(System.Func{Microsoft.AspNetCore.Mvc.ActionResult},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do``1(System.String,System.Func{System.String,``0},System.Func{Microsoft.AspNetCore.Mvc.ActionResult{``0}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do``1(System.Func{System.String,``0},System.Func{Microsoft.AspNetCore.Mvc.ActionResult{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do_A(System.String,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do_A(System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.MvcControllerBase.Do_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="T:MyFlat.NotNullInterpreter">
            <summary>
            Not null object and value interpreter (strict accessor)
            </summary>
        </member>
        <member name="M:MyFlat.NotNullInterpreter.NN``1(``0)">
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:MyFlat.NotNullInterpreter.V``1(System.Nullable{``0})">
            <exception cref="T:CommonHelpers.HNullValueException" />
        </member>
        <member name="P:MyFlat.Program.DevelopmentBehaviour">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.Program.ConnectionString">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.Program.PropertyNotSpecifiedError(System.String)">
            <exception crwf="ArgumentNullException" />
        </member>
        <member name="M:MyFlat.ProgramStart.CreateHostBuilder(System.String[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.QueryContext.DBLanguageOrDefault">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.Startup.#ctor(Microsoft.Extensions.Configuration.IConfiguration)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:MyFlat.StartupData.ServerName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.StartupData.DatabaseName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.StartupData.DatabaseLanguage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.StartupData.ObtainConfigParameters">
            <exception cref="T:MyFlat.OperationFailedException" />
        </member>
        <member name="P:MyFlat.StartupData.ConfigurationSection">
            <exception cref="T:MyFlat.OperationFailedException" />
        </member>
        <member name="M:MyFlat.StartupData.ObtainConfigParameter``1(System.String,System.Boolean)">
            <exception crwf="ArgumentException" />
            <exception cref="T:MyFlat.OperationFailedException" />
        </member>
        <member name="M:MyFlat.StartupData.PropertyNotInitializedError(System.String)">
            <exception crwf="ArgumentNullException" />
        </member>
        <member name="T:MyFlat.App">
            <summary>
            Instance class of application, considering current HTTP-request (in context of user session)
            </summary>
        </member>
        <member name="P:MyFlat.App.SessionData">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.App.LoginName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.App.AccountCode">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.App.UserName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.App.LoginTime">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.App.UserSessionId">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.App.#ctor(Microsoft.AspNetCore.Mvc.ControllerBase)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.App.VerifyUserSessionOpen">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.App.CreateUserSession(System.Guid,System.Int64,MyFlat.DB.AccountInfo_Item,MyFlat.AuthorizationInfo)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.App.RestoreModel``1">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.App.SaveModel``1(System.ICloneable)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.App.ResetModel``1">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.App.ClearModels">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:MyFlat.AuthorizationInfo">
            <summary>
            Authorization main info
            </summary>
        </member>
        <member name="T:MyFlat.SessionData">
            <summary>
            User session data
            </summary>
        </member>
        <member name="P:MyFlat.SessionData.Item(System.Object)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:MyFlat.SessionData.#ctor(System.Guid,System.Int64,MyFlat.DB.AccountInfo_Item,MyFlat.AuthorizationInfo,System.Guid)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.SessionData.GetValueOrDefault(System.Object)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:MyFlat.AmusingPageModel">
            <summary>
            Amuzing page model (miscellaneous)
            </summary>
        </member>
        <member name="T:MyFlat.ErrorViewModel">
            <summary>
            Model for error page
            </summary>
        </member>
        <member name="T:MyFlat.HomePageModel">
            <summary>
            Authorization page model (home page for MVC)
            </summary>
        </member>
        <member name="M:MyFlat.HomePageInputBase.#ctor(MyFlat.HomePageInput)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:MyFlat.PageModelData">
            <summary>
            Data, available from page models (contains: error collection, user session info)
            </summary>
        </member>
        <member name="M:MyFlat.PageModelData.#ctor(MyFlat.HomeController)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.PageModelData.#ctor(MyFlat.HomeController,System.Collections.Generic.List{System.String})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.PageModelData.#ctor(MyFlat.HomeController,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:MyFlat.XControllerBase.Attempt_A(System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.Attempt_A``1(System.Func{System.Threading.Tasks.Task{``0}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoAuto_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{``0}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoAuto_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic_A(System.String,System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic_A(System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit_A(System.String,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit_A(System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.Attempt(System.Action)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.Attempt``1(System.Func{``0})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoAuto``1(System.String,System.Func{System.String,``0},System.Func{``0})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoAuto``1(System.Func{System.String,``0},System.Func{``0},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic(System.String,System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic(System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic``1(System.String,System.Func{System.String,``0},System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoDynamic``1(System.Func{System.String,``0},System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit(System.String,System.Func{Microsoft.AspNetCore.Mvc.ActionResult})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit(System.Func{Microsoft.AspNetCore.Mvc.ActionResult},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit``1(System.String,System.Func{System.String,``0},System.Func{Microsoft.AspNetCore.Mvc.ActionResult{``0}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.DoExplicit``1(System.Func{System.String,``0},System.Func{Microsoft.AspNetCore.Mvc.ActionResult{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:MyFlat.XControllerBase.CurrentInfo.#ctor(System.Type,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:MyFlat.XControllerBase.ReportException(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:MyFlat.XControllerBase.CurrentActionName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.XControllerBase.CurrentMethodNameOrSignature">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:MyFlat.XControllerBase.ActionContext">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:MyFlat.XControllerBase.VerifyNotActive">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:MyFlat.MyFlat_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
    </members>
</doc>
